# IO.Swagger..EmailSMSStatsApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetEmailSmsSentCount**](EmailSMSStatsApi.md#getemailsmssentcount) | **GET** /getEmailSmsSentCount | Email / SMS sent
[**GetEmailSmsSentLimit**](EmailSMSStatsApi.md#getemailsmssentlimit) | **GET** /getEmailSmsSentLimit | Email / SMS Limit


<a name="getemailsmssentcount"></a>
# **GetEmailSmsSentCount**
> List<EmailSmsSentCount> GetEmailSmsSentCount (string username)

Email / SMS sent

Email / SMS sent

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetEmailSmsSentCountExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new EmailSMSStatsApi();
            var username = username_example;  // string | User Name or Email address

            try
            {
                // Email / SMS sent
                List&lt;EmailSmsSentCount&gt; result = apiInstance.GetEmailSmsSentCount(username);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling EmailSMSStatsApi.GetEmailSmsSentCount: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **string**| User Name or Email address | 

### Return type

[**List<EmailSmsSentCount>**](EmailSmsSentCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailsmssentlimit"></a>
# **GetEmailSmsSentLimit**
> List<EmailSmsSentLimit> GetEmailSmsSentLimit (string username)

Email / SMS Limit

Email / SMS Limit

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetEmailSmsSentLimitExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new EmailSMSStatsApi();
            var username = username_example;  // string | User Name or Email address

            try
            {
                // Email / SMS Limit
                List&lt;EmailSmsSentLimit&gt; result = apiInstance.GetEmailSmsSentLimit(username);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling EmailSMSStatsApi.GetEmailSmsSentLimit: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **string**| User Name or Email address | 

### Return type

[**List<EmailSmsSentLimit>**](EmailSmsSentLimit.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

