using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class ReviewSites {
    /// <summary>
    /// Company ID
    /// </summary>
    /// <value>Company ID</value>
    [DataMember(Name="companyID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "companyID")]
    public string CompanyID { get; set; }

    /// <summary>
    /// Site Name
    /// </summary>
    /// <value>Site Name</value>
    [DataMember(Name="SiteName", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "SiteName")]
    public string SiteName { get; set; }

    /// <summary>
    /// Company Web links Url
    /// </summary>
    /// <value>Company Web links Url</value>
    [DataMember(Name="CompanyWeblinksUrl", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "CompanyWeblinksUrl")]
    public string CompanyWeblinksUrl { get; set; }

    /// <summary>
    /// Company Web links Image Url
    /// </summary>
    /// <value>Company Web links Image Url</value>
    [DataMember(Name="CompanyWeblinksImageUrl", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "CompanyWeblinksImageUrl")]
    public string CompanyWeblinksImageUrl { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class ReviewSites {\n");
      sb.Append("  CompanyID: ").Append(CompanyID).Append("\n");
      sb.Append("  SiteName: ").Append(SiteName).Append("\n");
      sb.Append("  CompanyWeblinksUrl: ").Append(CompanyWeblinksUrl).Append("\n");
      sb.Append("  CompanyWeblinksImageUrl: ").Append(CompanyWeblinksImageUrl).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
